#include <pic.h>
#include "lib.h"

//  
__CONFIG(XT & WDTDIS & PWRTEN & BORDIS & LVPDIS & DUNPROT & WRTDIS & DEBUGDIS);

void int_proc(void)
{
   INTE = 0;
   if(TMR1IF)
     adr = 0;     //  ,            "0"
    else
  {
   TMR1ON = 0;                      // 1
   //     a*256+b;
   INF.tmr_temp[0] = TMR1L;         //   TMR1
   INF.tmr_temp[1] = TMR1H;
   INF2.tmr_temp2[0] = b[adr];      //   A  B
   INF2.tmr_temp2[1] = a[adr];

   if(INF.temp > INF2.temp2)        //   TMR1    a*256+b,    ""
   {	
    if(adr>1){adr--;}                //    
   }
    else                            //    .. 
   {
    if(adr<ARRAY_LENGTH){adr++;}    //     
   }
  }
   TMR1L=0;
   TMR1H=0;
   TMR1IF=0;                        //  TMR1
   TMR1ON = 1;
   OPTION=OPTION_MY[adr];           //   TMR0 ( 256, 128, 16, 1)
   TMR0=TMR0_DELAY[adr];            //    TMR0
   TMR0IF=0;                        //  TMR0
   T0IE=1;                          //    TMR0
   INTF=0;                          //  
}

void timer0_proc(void)
{
  T0IE=0;                           //    TMR0	  
  RC7 = 1;                          //  0.  ,    .   .
  for (delay=1;delay<30;delay++);
  RC7 = 0;
  TMR0IF=0;                         //  TMR0
  INTF=0;                           //     .
  INTE=1;                           //  INT
}
	
//   
static void interrupt isr(void)
{
 if (INTE && INTF)                  // -  ...
       int_proc();
 if (T0IE && TMR0IF)                //    MR0 ...
     timer0_proc();
}

// 
main (void) 
{
 init();                            //
// position=read(10);                 //  
// if (position>8){position=8;}
 position=8;
// change = 0;
 k=0;
 RC6=1;
 while(1)
 {
  k=k+1;
  if(k>80)
  {
//   button_proc();//,      
   AD1 = ADRESH; //   
   ADGO = 1;     // 
   LCD_ON = 1;   //     ...    LCD();
   k = 0;
  }    
//  if (AD1<128){write(10,position);}
  if(L_I_ON) // .    0,    . L_I_ON   0   .
   lcd_init();
    else
   {
  show(); // ,    
/*  Erase_LCD(); //    
  pos_LCD = 0;
  lcd_puts(Mes003);

  pos_LCD = 1;                 // 
  lcd_dec_2((4+adr));
  pos_LCD = 3;                 // 
  lcd_dec_2(0);*/
  LCD();  // 
   }
 }
}

