#define	LCD_STROBE()	LCD_EN = 1; asm("nop"); asm("nop");LCD_EN = 0
#define	LCD_RS		RC4		// Register select
#define	LCD_EN		RC5		// Enable

// 
/* [0] " 1.2" */  const unsigned char Mes_0[]={66,69,80,67,165,177,32,49,46,50,0};
/* [0] " " */   const unsigned char Mes_1[]={80,69,163,165,77,32,169,79,164,0};
/* [0] ".." */ const unsigned char Mes_2[]={79,161,80,65,72,46,79,160,79,80,46,0};
/* [0] ". t" */  const unsigned char Mes_3[]={79,161,80,65,72,165,171,46,32,116,0};
/* [0] "." */  const unsigned char Mes_4[]={77,72,79,161,79,165,67,75,80,46,0};
/* [0] "" */   const unsigned char Mes_5[]={168,79,224,67,66,69,84,75,65,0};
/* [0] "" */      const unsigned char Mes_6[]={168,65,80,79,167,98,0};
/* [0] ".." */ const unsigned char Mes_7[]={79,75,84,65,72,46,75,79,80,80,46,0};
//       
/* [0] "?" */  const unsigned char Mes_20[]={67,79,88,80,65,72,165,84,98,63,0};


// 
//
/* [0] "" SET=0*/    const unsigned char Mes_8[]={79,84,75,167,0};
/* [0] ""  SET=1*/    const unsigned char Mes_9[]={66,75,167,0};
/* [0] "" SET=2*/    const unsigned char Mes_10[]={72,79,80,77,0};
               
/* [0] "4000" set-3   */ const unsigned char Mes_11[]={52,48,48,48,0};// " "
/* [0] "5000" set-4   */ const unsigned char Mes_12[]={53,48,48,48,0};
/* [0] "6000" set-5   */ const unsigned char Mes_13[]={54,48,48,48,0};
               
/* [0] "100"  set-6   */ const unsigned char Mes_14[]={49,48,48,0};// " "
/* [0] "120"  set-7   */ const unsigned char Mes_15[]={49,50,48,0};
/* [0] "140"  set-8   */ const unsigned char Mes_16[]={49,52,48,0};
/* [0] "160"  set-9   */ const unsigned char Mes_17[]={49,54,48,0};

 //  " "
/* [0] "" SET=10*/    const unsigned char Mes_18[]={72,69,84,0};
/* [0] " " SET=11*/    const unsigned char Mes_19[]={224,65,32,0};

/* [0] "<"            */ const unsigned char Mes000[]={60,0};
/* [0] "V" */            const unsigned char Mes001[]={86,0};
/* [0] "." */            const unsigned char Mes002[]={46,0};
/* [0] "N" */            const unsigned char Mes003[]={78,0};

const unsigned char *string;     //     
const unsigned char set_count=7; // .. 8 (0..7)   
      unsigned char count;       // 

unsigned int delay;
unsigned char k;
unsigned char change;          //  
unsigned char adr;             //  
unsigned char AD1;             // 
unsigned char button_down;     //
unsigned char button_up;       //
unsigned char up_time;         //     
unsigned char down_time;
unsigned char display[17]; 	//   2   8  +  
unsigned char pos_LCD;		//   
unsigned char s, ss;		//     
unsigned char LCD_ON;
unsigned char L_I_ON;		//  
unsigned char read(unsigned char addr);    //  
unsigned char position;                    //   
unsigned char set[]={0,2,0,0,0,1,0,0};     // 

//    LCD
void lcd_init (void);                               //  LCD
void LCD (void);                                    //  
void Erase_LCD(void);                               //    
void lcd_putch(unsigned char c);                    //        
void lcd_puts(const unsigned char * s);             //        
void lcd_dec_2(unsigned char val);                  //       
void lcd_dec_byte(unsigned int val);                //         
void lcd_dec_3(unsigned int val);                   //         
void lcd_write(unsigned char c);                    //    LCD
void write(unsigned char addr, unsigned char value);//  
void read_settings (void);                          // 
void save_settings (void);                          // 
void show_set (unsigned char position);             //     
void set_change (void);                             //     

//  
void button_proc(void)
{
  if (!RB4 || !RB5)     //    
  {
   button_down++;     //   
   if (!button_down)  // 
   {
    button_up = up_time;
    if (RB4)
     {
      set_change();   //  
     }
    if (RB5)
     {
      if (change && position==8){position = 9;}
      else
      if (position==8){position=1;} else {position++;}
     }
   }
  }
   else
  {
   button_up++;
   if (!button_up)
   {
    button_down = down_time;
   }
  }
}

void init(void)// 
{
 TRISA = 0b11111;          
 TRISB = 0b11111111;       
 TRISC = 0;       
 PORTC = 0;                
 OPTION = 0b10000000;      
 INTCON = 0b10010000;      
 ADCON0 = 0b01000001;
 ADCON1 = 0;
 T1CON = 0b00100101;                //    1 1/4
 up_time = 200;//220
 down_time = 200;//200
 button_down = down_time;           //  
 button_up = up_time;
 L_I_ON=1;                          // LCD.    
 k = 0;                             //

write(1,2);                         //" - "
                                    //" "
                                    //     "Save set?"    ""
                                    //      
                                    //   
read_settings();                    // 
}


void set_change (void)     //     
{
   switch(position)        //     ...
    {
//   case 0:  // ""
//   case 1:  // " "
     case 2:  // ". ."
       change = 1;
       switch(set[position]) //   ...
        {
         case 0: 
          set[position]=3;//  "4000"
          break;
         case 3: 
          set[position]=4;//  "5000"
          break;
         case 4: 
          set[position]=5;//  "6000"
          break;
         case 5: 
          set[position]=0;//  ""
          break;
        }
        break;
     case 3: // ". t"
       change = 1;
       switch(set[position]) //   ...
        {
         case 0: 
          set[position]=6;//  "100"
          break;
         case 6: 
          set[position]=7;//  "120"
          break;
         case 7: 
          set[position]=8;//  "140"
          break;
         case 8: 
          set[position]=9;//  "160"
          break;
         case 9: 
          set[position]=0;//  ""
          break;
        }
        break;
     case 4: // ". "
       change = 1;
       switch(set[position]) //   ...
        {
         case 0: 
          set[position]=1;//  ""
          break;
         case 1: 
          set[position]=0;//  ""
          break;
        }
        break;
     case 5: //""
       change = 1;
       switch(set[position]) //   ...
        {
         case 0: 
          set[position]=1;//  ""
          RC6=1;
          break;
         case 1: 
          RC6=0;
          set[position]=0;//  ""
          break;
        }
        break;
//   case 6: ""
//   case 7: ".."
//   case 8: " "
     case 9: //  "Save set?"
      pos_LCD = 13;     //
      lcd_puts(Mes_19); // ""
      save_settings();  // 
      position=8;       //   "8"-  
      break; 
    }
}


void show (void)		    //  
{
 Erase_LCD(); //    
 switch (position)
 {
 case 0: //  ""
  pos_LCD = 0;    		
  lcd_puts(Mes_0);		
  break;          		

 case 1:
  pos_LCD = 0;                  //        
  lcd_puts(Mes_1);              //           
  show_set(position);                   //   
  break;                        //               

 case 2:
  pos_LCD = 0;
  lcd_puts(Mes_2);
  show_set(position);
  break;

 case 3:
  pos_LCD = 0;
  lcd_puts(Mes_3);
  show_set(position);
  break;

 case 4:
  pos_LCD = 0;
  lcd_puts(Mes_4);
  show_set(position);
  break;

 case 5:
  pos_LCD = 0;
  lcd_puts(Mes_5);
  show_set(position);
  break;

 case 6:
  pos_LCD = 0;
  lcd_puts(Mes_6);
  show_set(position);
  break;

 case 7:
  pos_LCD = 0;
  lcd_puts(Mes_7);
  show_set(position);
  break;

 case 8:
  pos_LCD = 0;
  lcd_puts(Mes003);
  pos_LCD = 2;                 // 
  lcd_dec_2(adr);              //    * 100
  pos_LCD = 4;                 //   "00"
  lcd_dec_2(0);
  pos_LCD = 7;                 // 
  lcd_puts(Mes000);
  pos_LCD = 8;
  lcd_dec_2(ugol[adr]);

  pos_LCD = 11;                 //V / 
  lcd_puts(Mes001);
  pos_LCD = 12;                 //
  lcd_dec_2(AD1/16);
  pos_LCD = 14;                 //
  lcd_puts(Mes002);  
  pos_LCD = 15;                 //
  display[pos_LCD] = ((AD1%16)*10/16) + 0x30;
  break;
 case 9:                      //  
  pos_LCD = 0;
  lcd_puts(Mes_20);
  set[position]=11; //""
  show_set(position);
  change = 0;                   // - 
  break;
 case 10:
  position = 1;
  break;
 }
}

void save_settings (void)// 
{
 for(count=0;count<=set_count;count++)
              write(count,set[count]);
}

void read_settings (void)// 
{

delay = 65000;//   
while(delay!=0){delay--;}

  for(count=0;count<=set_count;count++)
              set[count]=read(count);
if (set[5]){RC6 = 1;} //     

//    EEPROM_READ
}

void LCD (void)					//  
{
	unsigned char cc;
	switch(LCD_ON)
	{
		case 0:
		break;
		case 1:
			ss = 0;
			s = 0;
			LCD_ON++;
		break;
		case 5/*5*/:
			switch(s)
			{
				case 0: 
					cc = 0x80;					//     
				break;
				case 9/*9*/:
					cc = 0xC0;					//     
				break;
				case 18/*18*/:
					cc = display[16]+0x80;	//    
				break;
				default :
					cc = display[ss];			//  
					ss++;
					LCD_RS = 1;				
			}
			PORTC = (PORTC & 0xF0) | (cc >> 4);
		   LCD_STROBE();
			PORTC = (PORTC & 0xF0) | (cc & 0x0F);
			LCD_STROBE();
			LCD_RS = 0;
			
			if(s < 18/*18*/)		//  ? 
			{
				LCD_ON = 2;	// 
				s++;	
			}
			else
			{
				LCD_ON = 0;
			}
		break;
		
		default :
			LCD_ON++;
		break;	
	}
}

//    
void Erase_LCD(void)
{
	char j;
	for(j = 0; j < 17; j++)
		display[j] = 0x20; 
}

//        
void lcd_putch(unsigned char c)
{
	display[pos_LCD] = c;
	pos_LCD++;
}

//        
void lcd_puts(const unsigned char * s)
{
	while(*s)
	{
		lcd_putch(*s++);
   }
}

//       
void lcd_dec_2(unsigned char val) 	
{											
   display[pos_LCD] = val/10 + 0x30;
   pos_LCD++;   	
   display[pos_LCD] = val % 10 + 0x30;
	pos_LCD++;
} 

//    LCD
void lcd_write(unsigned char c)
{
   PORTC = PORTC & 0xF0 | c >> 4;
   LCD_STROBE();
   PORTC = PORTC & 0xF0 | c & 0x0F;	
   LCD_STROBE();
}

//  LCD
void lcd_init (void)
{
	L_I_ON++;
	switch(L_I_ON)
	{		
		case 2: LCD_RS = 0; break;
														// 250 mkS
		case 3:
				PORTC = 0x3;
				LCD_STROBE();
		break;
														//  5 mS
		case 5/*23*/: LCD_STROBE(); break;
														// 250 mkS
		case 6/*24*/: LCD_STROBE(); break;
														//  5 mS
		case 8/*44*/:
				PORTC = 0x2;
				LCD_STROBE();
		break;
														//  5 mS
		case 10/*64*/: lcd_write(0x28); break;		// 4 bit mode, 1/16 duty, 5x8 font
														//  5 mS
		case 12/*84*/: lcd_write(0x08); break;		// display off
														//  5 mS
		case 15/*104*/: lcd_write(0x0D); break;	// display on, blink curson on
														//  5 mS
		case 18/*124*/: lcd_write(0x06); break;	// entry mode
														//  5 mS
		case 20/*144*/:
				lcd_write(0x01);					// clear
				L_I_ON = 0;
                RC6=set[5];
		break;
	}
}

void write(unsigned char addr, unsigned char value)
{
   EEDATA = value;	//  
   EEADR = addr;	//  
   EEPGD=0;
   GIE = 0;
   WREN = 1;		//  
   EECON2 = 0x55;
   EECON2 = 0xAA;
   WR = 1;		//  
   GIE = 1;
   while(WR){}	// 
   WREN = 0;		//  
}

unsigned char read(unsigned char addr)
{
   EEADR = addr;	//  
   RD = 1;		// 
   return EEDATA;	//  
}

void show_set (unsigned char position)//     
{
  pos_LCD = 12;                 //    
   switch(set[position])        //          
    {
     case 0: lcd_puts(Mes_8);   //  set[position] = 0,    Mes_8
             break;
     case 1: lcd_puts(Mes_9);
             break;
     case 2: lcd_puts(Mes_10);
             break;
     case 3: lcd_puts(Mes_11);
             break;
     case 4: lcd_puts(Mes_12);
             break;
     case 5: lcd_puts(Mes_13);
             break;
     case 6: lcd_puts(Mes_14);
             break;
     case 7: lcd_puts(Mes_15);
             break;
     case 8: lcd_puts(Mes_16);
             break;
     case 9: lcd_puts(Mes_17);
             break;
     case 10:lcd_puts(Mes_18);  //
             break;
     case 11:lcd_puts(Mes_19);  //
             break;
    }
}
